%define upstream_name    XML-Bare
%define upstream_version 0.53

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    Minimal XML parser in C
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl-devel

%description
This module is a 'Bare' XML parser. It is implemented in C. The parser
itself is a simple state engine that is less than 500 lines of C. The
parser builds a C struct tree from input text. That C struct tree is
converted to a Perl hash by a Perl function that makes basic calls back to
the C to go through the nodes sequentially.

The parser itself will only cease parsing if it encounters tags that are
not closed properly. All other inputs will parse, even invalid inputs. To
allowing checking for validity, a schema checker is included in the module
as well.

The schema format is custom and is meant to be as simple as possible. It is
based loosely around the way multiplicity is handled in Perl regular
expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/XML
%perl_vendorarch/auto/XML


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.530.0-18.mga8
+ Revision: 1595308
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.530.0-17.mga8
+ Revision: 1530168
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.530.0-16.mga8
+ Revision: 1433952
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.530.0-15.mga7
+ Revision: 1294038
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.530.0-14.mga7
+ Revision: 1248676
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.530.0-13.mga7
+ Revision: 1167421
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.530.0-12.mga7
+ Revision: 1149436
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.530.0-11.mga7
+ Revision: 1126922
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.530.0-10.mga6
+ Revision: 1035889
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.530.0-9.mga6
+ Revision: 958213
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.530.0-8.mga6
+ Revision: 845538
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.530.0-7.mga6
+ Revision: 841199
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.530.0-6.mga5
+ Revision: 787962
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 751109
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-4.mga5
+ Revision: 686898
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.530.0-3.mga5
+ Revision: 631879
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 530002
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 454680
- update to 0.53

* Mon Jun 10 2013 jquelin <jquelin> 0.520.0-1.mga4
+ Revision: 441789
- update to 0.52

* Wed May 29 2013 jquelin <jquelin> 0.470.0-3.mga4
+ Revision: 431832
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.470.0-2.mga3
+ Revision: 374959
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.470.0-1.mga3
+ Revision: 308805
- imported package perl-XML-Bare


* Sun Oct 21 2012 cpan2dist 0.47-1mga
- initial mageia release, generated with cpan2dist
